"""
Copyright 2008-2014 by Aerospike, Inc. All rights reserved.
THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE. THE COPYRIGHT NOTICE
ABOVE DOES NOT EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION.
"""


# -*- coding: utf-8 -*-

UNABLE_TO_CONNECT = -1
NOT_SUPPORTED = "n/s"
NOT_AVAILABLE = "n/a"
ERROR_OCCURRED = -2
UNSUPPORTED_VERSION = -3
EXISTING_CLUSTER = -4

#Cluster object timeout(min)
CLUSTER_TIMEOUT = 15

#AMC path
AMC_PATH = "/opt/amc/server/"

#THROUGHPUT HISTORY LIMIT (30 min)
TPS_HISTORY_LIMIT = 1800

#AMC config file path
AMC_CONFIG_PATH = '/opt/amc/config/amc.cfg'

# Estimated max no. of connections per aerospike node from amc
MAX_CONNECTIONS_PER_NODE = 10

# Enterprise flag file path
ENTERPRISE_FLAG_FILE = "/opt/amc/enterprise_flag"
